# Command: GetLocalChildren

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    GetLocalChildren - Return IDs of all immediate local child nodes of a subnet
      that fulfill the conditions given in the dictionary, or all children if no
      dictionary given.

Synopsis:

      gid [<>]  GetLocalChildren -> [gid1 ... gidn]

Description:

      This function is equivalent to GetGlobalChildren, but returns only the ids of all
      children of a subnet belonging to the MPI process executing the command.

Parameters:

      gid		- id of a subnet
      <>	- Dictionary of selection properties
      Returns:
      [gid..]	- Array with the global ids of all local child nodes.

Author:

    Hans Ekkehard Plesser, Abigail Morrison

SeeAlso:

- GetGlobalChildren
- GetLocalNodes
- GetLocalLeaves

Source:

    /opt/conda/conda-bld/nest_1510213973486/work/nest-2.14.0/lib/sli/nest-init.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative